plugins {
    id("com.iqser.red.service.java-conventions")
}

dependencies {
    api(project(":persistence-service-internal-api-v1"))
    api("com.iqser.red.service:pdftron-redaction-service-api-v1:${rootProject.extra.get("pdftronRedactionServiceVersion")}") {
        exclude(group = "com.iqser.red.service", module = "persistence-service-internal-api-v1")
        exclude(group = "com.iqser.red.service", module = "persistence-service-shared-api-v1")
    }
    api("com.iqser.red.service:redaction-service-api-v1:${rootProject.extra.get("redactionServiceVersion")}") {
        exclude(group = "com.iqser.red.service", module = "persistence-service-internal-api-v1")
        exclude(group = "com.iqser.red.service", module = "persistence-service-shared-api-v1")
    }
    api("com.iqser.red.service:redaction-report-service-api-v1:${rootProject.extra.get("redactionReportServiceVersion")}") {
        exclude(group = "com.iqser.red.service", module = "persistence-service-internal-api-v1")
        exclude(group = "com.iqser.red.service", module = "persistence-service-shared-api-v1")
    }
    api("com.iqser.red.service:search-service-api-v1:${rootProject.extra.get("searchServiceVersion")}") {
        exclude(group = "com.iqser.red.service", module = "persistence-service-internal-api-v1")
        exclude(group = "com.iqser.red.service", module = "persistence-service-shared-api-v1")
    }
    api("com.fasterxml.jackson.dataformat:jackson-dataformat-xml:2.17.2")
    api("com.google.guava:guava:31.1-jre")
    api("org.springframework.boot:spring-boot-starter-security:3.1.3")
    api("org.springframework.boot:spring-boot-starter-validation:3.1.3")
    api("com.iqser.red.commons:jackson-commons:2.1.0")
    api(project(":persistence-service-shared-api-v1"))
    testImplementation("com.iqser.red.commons:test-commons:2.1.0")
    testImplementation("org.springframework.boot:spring-boot-starter-test:3.0.4")
    compileOnly("org.springdoc:springdoc-openapi-ui:1.6.13")
    api("io.github.openfeign:feign-core:12.2")
    compileOnly("org.springframework:spring-web:6.0.6")
}

description = "persistence-service-external-api-v1"

